%if "%{?fedora}" == "5"
%define monodir %{_prefix}/lib
%else
%define monodir %{_libdir}
%endif

%define extra 0.10

Summary: A C sharp binder for gtksourceview
Name: gtksourceview-sharp
Version: 2.0
Release: 25%{?dist}
License: LGPL
Group: System Environment/Libraries
Source0: http://go-mono.com/sources-latest/%{name}-%{version}/%{name}-%{version}-%{extra}.tar.gz
Patch0: gtksourceview-sharp-libdir.patch
URL: http://go-mono.com/sources-latest/%{name}-%{version}/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: mono-data, mono-devel, gtk-sharp2, gtksourceview-devel, gtk-sharp2-gapi, gecko-sharp2, pkgconfig
%if "%{?fedora}" == "5"
BuildRequires: gtk-sharp2
%else
BuildRequires: gtk-sharp2-devel gnome-sharp-devel autoconf libtool automake
%endif
Requires: gtksourceview

%description
gtksourceview-sharp is a C sharp binder for gtksourceview

%package devel
Summary:	Development files for gtksourceview-sharp
Group:	Development/Libraries
Requires:	%{name} = %{version}-%{release} pkgconfig

%description devel
Development files for gtksourceview-sharp

%prep
rm -rf %
%setup -q -n %{name}-%{version}-%{extra}
%if "%{?fedora}" > "5" 
%patch0 -p1
autoreconf
%endif

%build
%configure
make all %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_datadir}/gtksourceview-1.0/language-specs/vbnet.lang
rm -f %{buildroot}%{_datadir}/gtksourceview-1.0/language-specs/nemerle.lang

%files
%defattr (-, root, root, -)
%doc AUTHORS COPYING INSTALL NEWS README
%{_datadir}/gapi-2.0/gtksourceview-api.xml
%{monodir}/mono/gac/gtksourceview-sharp
%{monodir}/mono/gtksourceview-sharp-2.0

%files devel
%defattr (-,root,root,-)
%{monodir}/pkgconfig/gtksourceview-sharp-2.0.pc

%clean
%{__rm} -rf %{buildroot}

%changelog
* Wed Dec 20 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.0-0.10-25
- removes conflict with gtksourceview

* Sat Oct 28 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.0-0.10-24
- rebuild

* Thu Sep 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.0-0.10-23
- D'oh!

* Wed Sep 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.0-0.10-22
- Some more FC5 fix ups

* Mon Sep 04 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.0-0.10-21
- More fixes to the specfile
- Dropped the 64 clean for FC-5, still obeys the rules though for FC-6

* Mon Sep 04 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.0-0.10-20
- Added conditional so it builds in FC5

* Sat Aug 24 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.0-0.10-17
- rebuild
- removed 64 bit hacks
- removed unused BRs
- Added back the libdir patch and added autoreconf

* Tue Aug 01 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.0-0.10-15
- fixes directory ownership error in spec file
- added R pkgconfig for the -devel package

* Mon Jul 31 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.0-0.10-14
- reverted 64 bit patches
- removed arch from configure 
- added libdir=monodir to the configure line

* Thu Jul 20 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> -2.0-0.10-13
- Altered licence

* Sat Jul 08 2006 John Mahowald  <jpmahowald@gmail.com> - 2.0-0.10-12
- Fix up libdir
- Can't be noarch

* Wed Jun 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10.11
- Changed to noarch
- Added --target=sparc86x to make configure happy
- Added BR pkgconfig

* Mon Jun 05 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10.10
- Fix for devel file

* Sat Jun 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10.9
- Fixed ownership problems

* Wed May 31 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10.8
- Added libdir fix (courtest of John Mahowald)
- Added devel
- Ensured buildroot consistency
- Added doc to the files instead of manually adding them in the install

* Fri May 05 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10.7
- quite a number of changes to ensure the correct building under all archs
- imported parts of the mono build spec from the FC5 package
- built and tested under mock - must get more memory into the test box

* Wed Apr 26 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10.6
- Added BR gecko-sharp

* Sun Apr 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10-5
- removed the static libdir
- removed file which caused conflict with gtksourceview package
- removed %%{_libdir}/monodoc/*

* Tue Apr 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10-4
- Added Requires mono-core and gtksourceview
- libdir now usr-lib irrespective of architecture
- Quite a lot of spec file changes

* Sun Apr 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10-3
- Added BR gtk-sharp2-gapi

* Tue Jan 24 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10-2
- Additional dependancy added
- fixed to use the correct libdir

* Mon Jan 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-0.10-1
- Initial import

